# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

# Need to access symbols from the X Server and other dlopen'ed modules
%define _disable_ld_no_undefined 1

Summary:	X.org driver for Generic VESA Cards
Name:		x11-driver-video-vesa
Version:	2.4.0
Release:	2
Group:		System/X11
License:	MIT
Url:		http://xorg.freedesktop.org
Source0:	https://www.x.org/releases/individual/driver/xf86-video-vesa-%{version}.tar.bz2

BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	x11-util-macros
Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-vesa is the X.org driver for Generic VESA Cards.

%files
%{_libdir}/xorg/modules/drivers/vesa_drv.so
%{_mandir}/man4/vesa.4*

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-vesa-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std


%changelog
